## dmidecode 3.5

=== debian/changelog ===
dmidecode (3.5-3ubuntu0.1) noble; urgency=medium

  * Add processor support from SMBIOS 3.6.0 (LP: #2081611)
    - debian/patches/lp-2081611-add-processor-support-from-smbios-3.6.0.patch

 -- Joao Andre Simioni <joao.simioni@canonical.com>  Mon, 14 Oct 2024 17:25:58 -0300

dmidecode (3.5-3build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:56:23 +0200

dmidecode (3.5-3) unstable; urgency=medium

  * Add loong64 to architecture list (Closes: #1050154).

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 18 Dec 2023 20:46:36 +0100

dmidecode (3.5-2) unstable; urgency=medium

  * New upstream patches:
    - debian/patches/0155-use_read_file.patch
    - debian/patches/0160-HPE_OEM_Firmware_change.patch
  * Add debian/dmidecode.lintian-overrides for wrong groff-message.
  * debian/rules:
    - Remove ansi mode from override_dh_auto_build (Closes: #1041611).

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 13 Aug 2023 19:53:46 +0200

dmidecode (3.5-1) unstable; urgency=medium

  * New upstream release (Closes: #1032980).
    - Fix CVE-2023-30630 (Closes: #1034483).
  * Declare compliance with Debian Policy 4.6.2.0 (No changes needed).
  * debian/copyright:
    - Add year 2023 to myself.
  * debian/control:
    - Change to new repository.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 23 Apr 2023 10:55:50 +0200

=== debian/control ===
Source: dmidecode
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2.0
Rules-Requires-Root: no
Vcs-Git: git://git.jff.email/dmidecode.git
Vcs-Browser: https://git.jff.email/cgit/dmidecode.git/
Homepage: https://nongnu.org/dmidecode/

Package: dmidecode
Priority: important
Architecture: any-amd64 arm64 armhf ia64 any-i386 riscv64 loong64
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SMBIOS/DMI table decoder
 Dmidecode reports information about the system's hardware as described in the
 system BIOS according to the SMBIOS/DMI standard.
 .
 This information typically includes system manufacturer, model name, serial
 number, BIOS version, asset tag as well as a lot of other details of varying
 level of interest and reliability depending on the manufacturer. This will
 often include usage status for the CPU sockets, expansion slots (e.g. AGP, PCI,
 ISA) and memory module slots, and the list of I/O ports (e.g. serial, parallel,
 USB).
 .
 Beware that DMI data have proven to be too unreliable to be blindly trusted.
 Dmidecode does not scan the hardware, it only reports what the BIOS told it to.

Package: dmidecode-udeb
Section: debian-installer
Architecture: any-amd64 arm64 armhf ia64 any-i386
Package-Type: udeb
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SMBIOS/DMI table decoder (udeb)

## dmidecode 3.5-3ubuntu0.1trisquel0

=== debian/changelog ===
dmidecode (3.5-3ubuntu0.1trisquel0) ecne; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 26 Nov 2024 00:45:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dmidecode
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.6.2.0

## dmidecode 3.6

=== Makefile ===
#
#   DMI Decode
#   BIOS Decode
#   VPD Decode
#
#   Copyright (C) 2000-2002 Alan Cox <alan@redhat.com>
#   Copyright (C) 2002-2020 Jean Delvare <jdelvare@suse.de>
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#

CC     ?= gcc
# Base CFLAGS can be overridden by environment
CFLAGS ?= -O2
# When debugging, disable -O2 and enable -g
#CFLAGS ?= -g

CFLAGS += -W -Wall -Wshadow -Wstrict-prototypes -Wpointer-arith -Wcast-qual \
          -Wcast-align -Wwrite-strings -Wmissing-prototypes -Winline -Wundef

# Let lseek and mmap support 64-bit wide offsets
CFLAGS += -D_FILE_OFFSET_BITS=64

#CFLAGS += -DBIGENDIAN
#CFLAGS += -DALIGNMENT_WORKAROUND

# Pass linker flags here (can be set from environment too)
LDFLAGS ?=

DESTDIR =
prefix  = /usr/local
sbindir = $(prefix)/sbin
mandir  = $(prefix)/share/man
man8dir = $(mandir)/man8
docdir  = $(prefix)/share/doc/dmidecode
compdir = $(shell pkg-config --variable=completionsdir bash-completion 2>/dev/null || echo $(prefix)/etc/bash_completion.d)

INSTALL         := install
INSTALL_DATA    := $(INSTALL) -m 644
INSTALL_DIR     := $(INSTALL) -m 755 -d
INSTALL_PROGRAM := $(INSTALL) -m 755
RM              := rm -f

# BSD make provides $MACHINE, but GNU make doesn't
MACHINE ?= $(shell uname -m 2>/dev/null)

# These programs are only useful on x86
PROGRAMS-i386 := biosdecode ownership vpddecode
PROGRAMS-i486 := $(PROGRAMS-i386)
PROGRAMS-i586 := $(PROGRAMS-i386)
PROGRAMS-i686 := $(PROGRAMS-i386)
PROGRAMS-x86_64 := biosdecode ownership vpddecode
PROGRAMS-amd64 := $(PROGRAMS-x86_64)

PROGRAMS := dmidecode $(PROGRAMS-$(MACHINE))

all : $(PROGRAMS)

#
# Programs
#

dmidecode : dmidecode.o dmiopt.o dmioem.o dmioutput.o util.o
	$(CC) $(LDFLAGS) dmidecode.o dmiopt.o dmioem.o dmioutput.o util.o -o $@

biosdecode : biosdecode.o util.o
	$(CC) $(LDFLAGS) biosdecode.o util.o -o $@

ownership : ownership.o util.o
	$(CC) $(LDFLAGS) ownership.o util.o -o $@

vpddecode : vpddecode.o vpdopt.o util.o
	$(CC) $(LDFLAGS) vpddecode.o vpdopt.o util.o -o $@

#
# Objects
#

dmidecode.o : dmidecode.c version.h types.h util.h config.h dmidecode.h \
	      dmiopt.h dmioem.h dmioutput.h
	$(CC) $(CFLAGS) -c $< -o $@

dmiopt.o : dmiopt.c config.h types.h util.h dmidecode.h dmiopt.h
	$(CC) $(CFLAGS) -c $< -o $@

dmioem.o : dmioem.c types.h dmidecode.h dmioem.h dmioutput.h
	$(CC) $(CFLAGS) -c $< -o $@

dmioutput.o : dmioutput.c types.h dmioutput.h
	$(CC) $(CFLAGS) -c $< -o $@

biosdecode.o : biosdecode.c version.h types.h util.h config.h 
	$(CC) $(CFLAGS) -c $< -o $@

ownership.o : ownership.c version.h types.h util.h config.h
	$(CC) $(CFLAGS) -c $< -o $@

vpddecode.o : vpddecode.c version.h types.h util.h config.h vpdopt.h
	$(CC) $(CFLAGS) -c $< -o $@

vpdopt.o : vpdopt.c config.h util.h vpdopt.h
	$(CC) $(CFLAGS) -c $< -o $@

util.o : util.c types.h util.h config.h
	$(CC) $(CFLAGS) -c $< -o $@

#
# Commands
#

strip : $(PROGRAMS)
	strip $(PROGRAMS)

install : install-bin install-man install-doc install-completion

uninstall : uninstall-bin uninstall-man uninstall-doc uninstall-completion

install-bin : $(PROGRAMS)
	$(INSTALL_DIR) $(DESTDIR)$(sbindir)
	for program in $(PROGRAMS) ; do \
	$(INSTALL_PROGRAM) $$program $(DESTDIR)$(sbindir) ; done

uninstall-bin :
	for program in $(PROGRAMS) ; do \
	$(RM) $(DESTDIR)$(sbindir)/$$program ; done

install-man :
	$(INSTALL_DIR) $(DESTDIR)$(man8dir)
	for program in $(PROGRAMS) ; do \
	$(INSTALL_DATA) man/$$program.8 $(DESTDIR)$(man8dir) ; done

uninstall-man :
	for program in $(PROGRAMS) ; do \
	$(RM) $(DESTDIR)$(man8dir)/$$program.8 ; done

install-doc :
	$(INSTALL_DIR) $(DESTDIR)$(docdir)
	$(INSTALL_DATA) README $(DESTDIR)$(docdir)
	$(INSTALL_DATA) NEWS $(DESTDIR)$(docdir)
	$(INSTALL_DATA) AUTHORS $(DESTDIR)$(docdir)

uninstall-doc :
	$(RM) -r $(DESTDIR)$(docdir)

install-completion :
	if [ -d $(compdir) ] ; then \
	$(INSTALL_DIR) $(DESTDIR)$(compdir) ; \
	for program in $(PROGRAMS) ; do \
	$(INSTALL_DATA) completion/$$program.bash $(DESTDIR)$(compdir)/$$program ; done ; \
	fi

uninstall-completion :
	if [ -d $(DESTDIR)$(compdir) ]; then \
	for program in $(PROGRAMS) ; do \
	$(RM) $(DESTDIR)$(compdir)/$$program ; done ; \
	fi

clean :
	$(RM) *.o $(PROGRAMS) core

=== debian/changelog ===
dmidecode (3.6-2) unstable; urgency=medium

  * debian/control:
    - Change VCS-Git from git to https.
  * Declare compliance with Debian Policy 4.7.0 (No changes needed).
  * New debian/patches/0600-Fix-groff-error.patch to fix groff error.
  * Remove obsolate debian/dmidecode.lintian-overrides.
  * debian/control:
    - Enable udeb for riscv64 and loong64 (Closes: #1087465).

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 15 Nov 2024 18:41:58 +0100

dmidecode (3.6-1) unstable; urgency=medium

  * New upstream release (Closes: #1069767).
    - Rebase patches.
    - Remove upstream applied patches:
      + debian/patches/0155-use_read_file.patch
      + debian/patches/0160-HPE_OEM_Firmware_change.patch
  * debian/copyright:
    - Add year 2024 to myself.
    - Rebase to the new release.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 30 Jun 2024 20:32:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: dmidecode
 Section: utils
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Vcs-Git: git://git.jff.email/dmidecode.git
+Vcs-Git: https://git.jff.email/cgit/dmidecode.git
 Vcs-Browser: https://git.jff.email/cgit/dmidecode.git/
 Homepage: https://nongnu.org/dmidecode/
 
@@ -31,7 +30,7 @@
 
 Package: dmidecode-udeb
 Section: debian-installer
-Architecture: any-amd64 arm64 armhf ia64 any-i386
+Architecture: any-amd64 arm64 armhf ia64 any-i386 riscv64 loong64
 Package-Type: udeb
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: SMBIOS/DMI table decoder (udeb)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -fPIE
export DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie


include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh ${@}

override_dh_auto_build:
	dh_auto_build -- CC=$(CC) CFLAGS="$(CFLAGS) $(CPPFLAGS) -Os" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

	# remove useless files
	rm -f debian/tmp/usr/share/doc/dmidecode/CHANGELOG
	rm -f debian/tmp/usr/share/doc/dmidecode/README
